astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Astronomical Coordinate Systems (`astropy.coordinates`) »
- ITRS

# ITRS

class `astropy.coordinates.``ITRS`(*args, **kwargs)

  Bases: `astropy.coordinates.BaseCoordinateFrame`

  A coordinate or frame in the International Terrestrial Reference System (ITRS). This is approximately a geocentric system, although strictly it is defined by a series of reference locations near the surface of the Earth. For more background on the ITRS, see the references provided in the See Also section of the documentation.

  Attributes Summary

  `default_representation` |
  `earth_location` | The data in this frame as an `EarthLocation` class.
  `frame_attributes` |
  `frame_specific_representation_info` |
  `name` |
  `obstime` |

  Attributes Documentation

  `default_representation`
  `earth_location`

    The data in this frame as an `EarthLocation` class.

  `frame_attributes` = OrderedDict([('obstime', <astropy.coordinates.baseframe.TimeFrameAttribute object at 0x7f523a458410>)])
  `frame_specific_representation_info`
  `name` = 'itrs'
  `obstime` = <Time object: scale='utc' format='jyear_str' value=J2000.000>